<template>
  <div>
    <h1 class="text-h1">UiKit</h1>
    <div>
      <el-row class="mb-4">
        <el-button>Default</el-button>
        <el-button type="primary">Primary</el-button>
        <el-button type="success">Success</el-button>
        <el-button type="info">Info</el-button>
        <el-button type="warning">Warning</el-button>
        <el-button type="danger">Danger</el-button>
      </el-row>

      <el-row class="mb-4">
        <el-button plain>Plain</el-button>
        <el-button type="primary" plain>Primary</el-button>
        <el-button type="success" plain>Success</el-button>
        <el-button type="info" plain>Info</el-button>
        <el-button type="warning" plain>Warning</el-button>
        <el-button type="danger" plain>Danger</el-button>
      </el-row>

      <el-row class="mb-4">
        <el-button round>Round</el-button>
        <el-button type="primary" round>Primary</el-button>
        <el-button type="success" round>Success</el-button>
        <el-button type="info" round>Info</el-button>
        <el-button type="warning" round>Warning</el-button>
        <el-button type="danger" round>Danger</el-button>
      </el-row>

      <el-row>
        <el-button :icon="Search" circle />
        <el-button type="primary" :icon="Edit" circle />
        <el-button type="success" :icon="Check" circle />
        <el-button type="info" :icon="Message" circle />
        <el-button type="warning" :icon="Star" circle />
        <el-button type="danger" :icon="Delete" circle />
      </el-row>
    </div>
    <div>
      <div class="item"><b>Get request:</b> {{ getVal }}</div>
      <div class="item"><b>Get params request:</b> {{ getParamsVal }}</div>
      <div class="item"><b>Put request:</b> {{ putVal }}</div>
      <div class="item"><b>Post request:</b> {{ postVal }}</div>
      <div class="item"><b>Delete request:</b> {{ delVal }}</div>
      <div class="item"><b>Patch request:</b> {{ patchVal }}</div>
    </div>
  </div>
</template>

<script lang="ts">
import {
  Check,
  Delete,
  Edit,
  Message,
  Search,
  Star,
} from "@element-plus/icons-vue";
import { defineComponent, ref } from "vue";
import request from "../services/api/axios/axios-instance";
import mockController from "../services/api/mock/mock-controller";

export default defineComponent({
  name: "UiKit",
  components: {
    Check,
    Delete,
    Edit,
    Message,
    Search,
    Star,
  },
  setup() {
    const getVal = ref("");
    const getParamsVal = ref("");
    const putVal = ref("");
    const postVal = ref("");
    const delVal = ref("");
    const patchVal = ref("");

    const getResp = async () => {
      const res = await mockController.getNewsList();
      console.log(res);

      // getVal.value = await mockController.getNewsList();
    };
    // const getParamsResp = async () => {
    //   getParamsVal.value = await request.get("/comments", { postId: 1 });
    // };
    // const postResp = async () => {
    //   const body = {
    //     id: 1,
    //     name: "Пупкин",
    //   };
    //   postVal.value = await request.post("/posts", body);
    // };
    // const putResp = async () => {
    //   putVal.value = await request.put("/posts/1");
    // };
    // const patchResp = async () => {
    //   patchVal.value = await request.patch("/posts/1");
    // };
    // const delResp = async () => {
    //   delVal.value = await request.delete("/posts/1");
    // };
    getResp();
    // getParamsResp();
    // postResp();
    // putResp();
    // patchResp();
    // delResp();

    return {
      getVal,
      getParamsVal,
      putVal,
      postVal,
      delVal,
      patchVal,
      Check,
      Delete,
      Edit,
      Message,
      Search,
      Star,
    };
  },
});
</script>
